GetLogContext
Retrieve surrounding log lines before and after a specific log entry
POST
/api/v1/logs/contextOperation ID
GetLogContextSince
1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
logIdStringRequiredUnique identifier of the target log entry to retrieve context for
Example: logline-0042
sourceStringRequiredLog source identifier that contains the target log entry
Example: /var/log/app/service.log
beforeIntegerRequiredNumber of log lines to return before the target log entry
Example: 10
afterIntegerRequiredNumber of log lines to return after the target log entry
Example: 10
Responses
200 OKChange History
This API has no change history records yet.
